Ti.API.info('Ti.Platform.displayCaps.density: ' + Ti.Platform.displayCaps.density);
Ti.API.info('Ti.Platform.displayCaps.dpi: ' + Ti.Platform.displayCaps.dpi);
Ti.API.info('Ti.Platform.displayCaps.platformHeight: ' + Ti.Platform.displayCaps.platformHeight);
Ti.API.info('Ti.Platform.displayCaps.platformWidth: ' + Ti.Platform.displayCaps.platformWidth);
if(Ti.Platform.osname === 'android'){
  Ti.API.info('Ti.Platform.displayCaps.xdpi: ' + Ti.Platform.displayCaps.xdpi);
  Ti.API.info('Ti.Platform.displayCaps.ydpi: ' + Ti.Platform.displayCaps.ydpi);
  Ti.API.info('Ti.Platform.displayCaps.logicalDensityFactor: ' + Ti.Platform.displayCaps.logicalDensityFactor);
}



$.serviceGrid.init({
    buttons: [
        { id: 'btnPresentation', title: "Prisentation", click: function (e) { alert("Présentation"); } },
        { id: 'btnAppel', title: "Appeler la mairie", click: function (e) { alert("Appeler"); } },
        { id: 'btnContact', title: "Contactez nous", click: function (e) { alert("Contact"); } },
        { id: 'btnGeo', title: 'Géolocalisation', click: function (e) { alert("Géolocalisation"); } },
        { id: 'btnElus', title: 'Vos élus', click: function (e) { alert("Vos élus"); } },
        { id: 'btnConseils', title: "Conseils municipaux", click: function (e) { alert("Conseils municipaux"); } },
        { id: 'btnJournaux', title: "Journaux municipaux", click: function (e) { alert("Journaux municipaux"); } },
        { id: 'btnRevuepresse', title: "Revue de presse", click: function (e) { alert("Revue de presse"); } },
        { id: 'btnUrbanisme', title: "Documents d'urbanisme", click: function (e) { alert("Documents d'urbanisme"); } },
        { id: 'btnUrgences', title: "N° d'urgence", click: function (e) { alert("Urgences"); } },
        { id: 'btnIncidents', title: "Déclarer un incident", click: function (e) { alert("Déclarer un incident"); } },
        { id: 'btnVotes', title: "Bureaux de vote", click: function (e) { alert("Bureaux de vote"); } },
        { id: 'btnAlertes', title: "Les alertes", click: function (e) { alert("Les alertes"); } },
        { id: 'btnCantine', title: "Inscription à la cantine", click: function (e) { alert("Inscription à la cantine"); } },
        { id: 'btnAPP', title: "Inscription aux APP", click: function (e) { alert("Inscription aux APP"); } },
        { id: 'btnSettings', title: "Paramètres", click: function (e) { alert("Paramètres"); } }
    ],
    buttonWidth: Alloy.isTablet ? 180: 90,
    buttonHeight: Alloy.isTablet ? 180 : 90,
    duration: 100,
    assetDir: '/images/buttons/'
});


var testBtn = Ti.UI.createButton({
	image: '/images/buttons/btnSettings.png',
	title: Ti.Platform.displayCaps.density + ' ' + Ti.Platform.displayCaps.dpi + ' ' +Ti.Platform.displayCaps.xdpi + ' ' +Ti.Platform.displayCaps.logicalDensityFactor,
	/*top: 0,
	left: 0,*/
	center: {
		x: "50%",
		y: "50%"
	},
	width: 90,
	height: 90
});
$.winAgenda.add(testBtn);

//
// Test animation
//
testBtn.addEventListener("click", function(e) {
	Ti.API.info("The e object contains: " + JSON.stringify(e));
	e.source.animate({
		top: 0,
		left: 0,
		duration: 10
	});
});

//
// Main View
//
$.index.open();





